diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/dl-mac-messages.h ns-3.38/src/wimax/model/dl-mac-messages.h
--- ns-3.37/src/wimax/model/dl-mac-messages.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/dl-mac-messages.h	2023-03-16 20:54:23.876869400 -0700
@@ -511,7 +511,7 @@
     uint16_t GetSize() const;
 
     /**
-     * Wrtie item
+     * Write item
      * \param start the iterator
      * \returns the updated iterator
      */
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/ipcs-classifier-record.cc ns-3.38/src/wimax/model/ipcs-classifier-record.cc
--- ns-3.37/src/wimax/model/ipcs-classifier-record.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/ipcs-classifier-record.cc	2023-03-16 20:54:23.876869400 -0700
@@ -85,7 +85,7 @@
         }
         case ClassificationRuleVectorTlvValue::IP_src: {
             Ipv4AddressTlvValue* list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
-            for (std::vector<Ipv4AddressTlvValue::ipv4Addr>::const_iterator iter2 = list->Begin();
+            for (std::vector<Ipv4AddressTlvValue::Ipv4Addr>::const_iterator iter2 = list->Begin();
                  iter2 != list->End();
                  ++iter2)
             {
@@ -95,7 +95,7 @@
         }
         case ClassificationRuleVectorTlvValue::IP_dst: {
             Ipv4AddressTlvValue* list = (Ipv4AddressTlvValue*)(*iter)->PeekValue();
-            for (std::vector<Ipv4AddressTlvValue::ipv4Addr>::const_iterator iter2 = list->Begin();
+            for (std::vector<Ipv4AddressTlvValue::Ipv4Addr>::const_iterator iter2 = list->Begin();
                  iter2 != list->End();
                  ++iter2)
             {
@@ -158,7 +158,7 @@
 void
 IpcsClassifierRecord::AddSrcAddr(Ipv4Address srcAddress, Ipv4Mask srcMask)
 {
-    struct ipv4Addr tmp;
+    Ipv4Addr tmp;
     tmp.Address = srcAddress;
     tmp.Mask = srcMask;
     m_srcAddr.push_back(tmp);
@@ -167,7 +167,7 @@
 void
 IpcsClassifierRecord::AddDstAddr(Ipv4Address dstAddress, Ipv4Mask dstMask)
 {
-    struct ipv4Addr tmp;
+    Ipv4Addr tmp;
     tmp.Address = dstAddress;
     tmp.Mask = dstMask;
     m_dstAddr.push_back(tmp);
@@ -176,7 +176,7 @@
 void
 IpcsClassifierRecord::AddSrcPortRange(uint16_t srcPortLow, uint16_t srcPortHigh)
 {
-    struct PortRange tmp;
+    PortRange tmp;
     tmp.PortLow = srcPortLow;
     tmp.PortHigh = srcPortHigh;
     m_srcPortRange.push_back(tmp);
@@ -185,7 +185,7 @@
 void
 IpcsClassifierRecord::AddDstPortRange(uint16_t dstPortLow, uint16_t dstPortHigh)
 {
-    struct PortRange tmp;
+    PortRange tmp;
     tmp.PortLow = dstPortLow;
     tmp.PortHigh = dstPortHigh;
     m_dstPortRange.push_back(tmp);
@@ -236,8 +236,7 @@
 bool
 IpcsClassifierRecord::CheckMatchSrcAddr(Ipv4Address srcAddress) const
 {
-    for (std::vector<struct ipv4Addr>::const_iterator iter = m_srcAddr.begin();
-         iter != m_srcAddr.end();
+    for (std::vector<Ipv4Addr>::const_iterator iter = m_srcAddr.begin(); iter != m_srcAddr.end();
          ++iter)
     {
         NS_LOG_INFO("src addr check match: pkt=" << srcAddress << " cls=" << (*iter).Address << "/"
@@ -254,8 +253,7 @@
 bool
 IpcsClassifierRecord::CheckMatchDstAddr(Ipv4Address dstAddress) const
 {
-    for (std::vector<struct ipv4Addr>::const_iterator iter = m_dstAddr.begin();
-         iter != m_dstAddr.end();
+    for (std::vector<Ipv4Addr>::const_iterator iter = m_dstAddr.begin(); iter != m_dstAddr.end();
          ++iter)
     {
         NS_LOG_INFO("dst addr check match: pkt=" << dstAddress << " cls=" << (*iter).Address << "/"
@@ -272,7 +270,7 @@
 bool
 IpcsClassifierRecord::CheckMatchSrcPort(uint16_t port) const
 {
-    for (std::vector<struct PortRange>::const_iterator iter = m_srcPortRange.begin();
+    for (std::vector<PortRange>::const_iterator iter = m_srcPortRange.begin();
          iter != m_srcPortRange.end();
          ++iter)
     {
@@ -290,7 +288,7 @@
 bool
 IpcsClassifierRecord::CheckMatchDstPort(uint16_t port) const
 {
-    for (std::vector<struct PortRange>::const_iterator iter = m_dstPortRange.begin();
+    for (std::vector<PortRange>::const_iterator iter = m_dstPortRange.begin();
          iter != m_dstPortRange.end();
          ++iter)
     {
@@ -336,16 +334,14 @@
 IpcsClassifierRecord::ToTlv() const
 {
     Ipv4AddressTlvValue ipv4AddrValSrc;
-    for (std::vector<struct ipv4Addr>::const_iterator iter = m_srcAddr.begin();
-         iter != m_srcAddr.end();
+    for (std::vector<Ipv4Addr>::const_iterator iter = m_srcAddr.begin(); iter != m_srcAddr.end();
          ++iter)
     {
         ipv4AddrValSrc.Add((*iter).Address, (*iter).Mask);
     }
 
     Ipv4AddressTlvValue ipv4AddrValDst;
-    for (std::vector<struct ipv4Addr>::const_iterator iter = m_dstAddr.begin();
-         iter != m_dstAddr.end();
+    for (std::vector<Ipv4Addr>::const_iterator iter = m_dstAddr.begin(); iter != m_dstAddr.end();
          ++iter)
     {
         ipv4AddrValDst.Add((*iter).Address, (*iter).Mask);
@@ -359,7 +355,7 @@
     }
 
     PortRangeTlvValue portValueSrc;
-    for (std::vector<struct PortRange>::const_iterator iter = m_srcPortRange.begin();
+    for (std::vector<PortRange>::const_iterator iter = m_srcPortRange.begin();
          iter != m_srcPortRange.end();
          ++iter)
     {
@@ -367,7 +363,7 @@
     }
 
     PortRangeTlvValue portValueDst;
-    for (std::vector<struct PortRange>::const_iterator iter = m_dstPortRange.begin();
+    for (std::vector<PortRange>::const_iterator iter = m_dstPortRange.begin();
          iter != m_dstPortRange.end();
          ++iter)
     {
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/ipcs-classifier-record.h ns-3.38/src/wimax/model/ipcs-classifier-record.h
--- ns-3.37/src/wimax/model/ipcs-classifier-record.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/ipcs-classifier-record.h	2023-03-16 20:54:23.876869400 -0700
@@ -183,23 +183,23 @@
         uint16_t PortHigh; ///< port high
     };
 
-    /// ipv4Addr structure
-    struct ipv4Addr
+    /// Ipv4Addr structure
+    struct Ipv4Addr
     {
         Ipv4Address Address; ///< IP address
         Ipv4Mask Mask;       ///< net mask
     };
 
-    uint8_t m_priority;                           ///< priority
-    uint16_t m_index;                             ///< index
-    uint8_t m_tosLow;                             ///< TOS low
-    uint8_t m_tosHigh;                            ///< TOS high
-    uint8_t m_tosMask;                            ///< TOS mask
-    std::vector<uint8_t> m_protocol;              ///< protocol
-    std::vector<struct ipv4Addr> m_srcAddr;       ///< source address
-    std::vector<struct ipv4Addr> m_dstAddr;       ///< destination address
-    std::vector<struct PortRange> m_srcPortRange; ///< surce port range
-    std::vector<struct PortRange> m_dstPortRange; ///< destination port range
+    uint8_t m_priority;                    ///< priority
+    uint16_t m_index;                      ///< index
+    uint8_t m_tosLow;                      ///< TOS low
+    uint8_t m_tosHigh;                     ///< TOS high
+    uint8_t m_tosMask;                     ///< TOS mask
+    std::vector<uint8_t> m_protocol;       ///< protocol
+    std::vector<Ipv4Addr> m_srcAddr;       ///< source address
+    std::vector<Ipv4Addr> m_dstAddr;       ///< destination address
+    std::vector<PortRange> m_srcPortRange; ///< source port range
+    std::vector<PortRange> m_dstPortRange; ///< destination port range
 
     uint16_t m_cid; ///< the CID
 };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/mac-messages.h ns-3.38/src/wimax/model/mac-messages.h
--- ns-3.37/src/wimax/model/mac-messages.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/mac-messages.h	2023-03-16 20:54:23.880869400 -0700
@@ -376,8 +376,6 @@
 
 namespace ns3
 {
-class serviceFlow;
-
 /**
  * \ingroup wimax
  * This class implements the DSA-REQ message described by "IEEE Standard for
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/ofdm-downlink-frame-prefix.h ns-3.38/src/wimax/model/ofdm-downlink-frame-prefix.h
--- ns-3.37/src/wimax/model/ofdm-downlink-frame-prefix.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/ofdm-downlink-frame-prefix.h	2023-03-16 20:54:23.880869400 -0700
@@ -166,7 +166,7 @@
     void SetConfigurationChangeCount(uint8_t configurationChangeCount);
     /**
      * Add DL frame prefix element field
-     * \param dlFramePrefixElement the DL frane prefix element
+     * \param dlFramePrefixElement the DL frame prefix element
      */
     void AddDlFramePrefixElement(DlFramePrefixIe dlFramePrefixElement);
     /**
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/service-flow.h ns-3.38/src/wimax/model/service-flow.h
--- ns-3.37/src/wimax/model/service-flow.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/service-flow.h	2023-03-16 20:54:23.880869400 -0700
@@ -129,7 +129,7 @@
      *
      * \param direction the direction
      */
-    ServiceFlow(enum Direction direction);
+    ServiceFlow(Direction direction);
     /**
      * Constructor
      *
@@ -143,7 +143,7 @@
      * \param direction the direction
      * \param connection the connection object
      */
-    ServiceFlow(uint32_t sfid, enum Direction direction, Ptr<WimaxConnection> connection);
+    ServiceFlow(uint32_t sfid, Direction direction, Ptr<WimaxConnection> connection);
     /**
      * Destructor.
      */
@@ -163,12 +163,12 @@
      * Set direction
      * \param direction the direction value
      */
-    void SetDirection(enum Direction direction);
+    void SetDirection(Direction direction);
     /**
      * Get direction
      * \returns the direction
      */
-    enum Direction GetDirection() const;
+    Direction GetDirection() const;
     /**
      * Copy parameters from another service flow
      * \param sf the service flow
@@ -179,12 +179,12 @@
      * Set type of service flow
      * \param type the type value
      */
-    void SetType(enum Type type);
+    void SetType(Type type);
     /**
      * Get type of service flow
      * \returns the type
      */
-    enum Type GetType() const;
+    Type GetType() const;
     /**
      * Set connection
      * \param connection the connection
@@ -387,7 +387,7 @@
      * Get CS specification
      * \returns the CS specification
      */
-    enum CsSpecification GetCsSpecification() const;
+    CsSpecification GetCsSpecification() const;
     /**
      * Get convergence sublayer
      * \returns the convergence sublayer
@@ -538,7 +538,7 @@
      * Set CS specification
      * \param spec the CS specification
      */
-    void SetCsSpecification(enum CsSpecification spec);
+    void SetCsSpecification(CsSpecification spec);
     /**
      * Set convergence sublayer parameters
      * \param csparam the convergence sublayer parameters
@@ -591,7 +591,7 @@
     uint8_t m_arqDeliverInOrder;                       ///< ARQ deliver in order
     uint16_t m_arqPurgeTimeout;                        ///< ARQ purge timeout
     uint16_t m_arqBlockSize;                           ///< ARQ block size
-    enum CsSpecification m_csSpecification;            ///< CS specification
+    CsSpecification m_csSpecification;                 ///< CS specification
     CsParameters m_convergenceSublayerParam;           ///< convergence sublayer parameters
     uint16_t m_unsolicitedGrantInterval;               ///< unsolicited grant interval
     uint16_t m_unsolicitedPollingInterval;             ///< unsolicited polling interval
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/service-flow-record.cc ns-3.38/src/wimax/model/service-flow-record.cc
--- ns-3.37/src/wimax/model/service-flow-record.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/service-flow-record.cc	2023-03-16 20:54:23.880869400 -0700
@@ -165,7 +165,7 @@
 }
 
 uint32_t
-ServiceFlowRecord::GetRequestedBandwidth()
+ServiceFlowRecord::GetRequestedBandwidth() const
 {
     return m_requestedBandwidth;
 }
@@ -183,7 +183,7 @@
 }
 
 uint32_t
-ServiceFlowRecord::GetGrantedBandwidth()
+ServiceFlowRecord::GetGrantedBandwidth() const
 {
     return m_grantedBandwidth;
 }
@@ -201,7 +201,7 @@
 }
 
 uint32_t
-ServiceFlowRecord::GetGrantedBandwidthTemp()
+ServiceFlowRecord::GetGrantedBandwidthTemp() const
 {
     return m_grantedBandwidthTemp;
 }
@@ -267,7 +267,7 @@
 }
 
 uint32_t
-ServiceFlowRecord::GetBwSinceLastExpiry()
+ServiceFlowRecord::GetBwSinceLastExpiry() const
 {
     return m_bwSinceLastExpiry;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/service-flow-record.h ns-3.38/src/wimax/model/service-flow-record.h
--- ns-3.37/src/wimax/model/service-flow-record.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/service-flow-record.h	2023-03-16 20:54:23.880869400 -0700
@@ -141,7 +141,7 @@
     /**
      * \return The requested bandwidth
      */
-    uint32_t GetRequestedBandwidth();
+    uint32_t GetRequestedBandwidth() const;
 
     /**
      * \brief set the granted bandwidth
@@ -156,7 +156,7 @@
     /**
      * \return The granted bandwidth
      */
-    uint32_t GetGrantedBandwidth();
+    uint32_t GetGrantedBandwidth() const;
 
     /**
      * \brief set the temporary granted bandwidth
@@ -171,7 +171,7 @@
     /**
      * \return The temporary granted bandwidth
      */
-    uint32_t GetGrantedBandwidthTemp();
+    uint32_t GetGrantedBandwidthTemp() const;
 
     /**
      * \brief set BW since last expiry
@@ -186,7 +186,7 @@
     /**
      * \return The bandwidth since last expiry
      */
-    uint32_t GetBwSinceLastExpiry();
+    uint32_t GetBwSinceLastExpiry() const;
 
     /**
      * \brief set last grant time
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/simple-ofdm-send-param.cc ns-3.38/src/wimax/model/simple-ofdm-send-param.cc
--- ns-3.37/src/wimax/model/simple-ofdm-send-param.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/simple-ofdm-send-param.cc	2023-03-16 20:54:23.880869400 -0700
@@ -25,7 +25,7 @@
 
 namespace ns3
 {
-simpleOfdmSendParam::simpleOfdmSendParam()
+SimpleOfdmSendParam::SimpleOfdmSendParam()
 {
     // m_fecBlock = 0;
     m_burstSize = 0;
@@ -36,7 +36,7 @@
     m_rxPowerDbm = 0;
 }
 
-simpleOfdmSendParam::simpleOfdmSendParam(const bvec& fecBlock,
+SimpleOfdmSendParam::SimpleOfdmSendParam(const Bvec& fecBlock,
                                          uint32_t burstSize,
                                          bool isFirstBlock,
                                          uint64_t Frequency,
@@ -53,7 +53,7 @@
     m_rxPowerDbm = rxPowerDbm;
 }
 
-simpleOfdmSendParam::simpleOfdmSendParam(uint32_t burstSize,
+SimpleOfdmSendParam::SimpleOfdmSendParam(uint32_t burstSize,
                                          bool isFirstBlock,
                                          uint64_t Frequency,
                                          WimaxPhy::ModulationType modulationType,
@@ -70,96 +70,96 @@
     m_burst = burst;
 }
 
-simpleOfdmSendParam::~simpleOfdmSendParam()
+SimpleOfdmSendParam::~SimpleOfdmSendParam()
 {
 }
 
 void
-simpleOfdmSendParam::SetFecBlock(const bvec& fecBlock)
+SimpleOfdmSendParam::SetFecBlock(const Bvec& fecBlock)
 {
     m_fecBlock = fecBlock;
 }
 
 void
-simpleOfdmSendParam::SetBurstSize(uint32_t burstSize)
+SimpleOfdmSendParam::SetBurstSize(uint32_t burstSize)
 {
     m_burstSize = burstSize;
 }
 
 void
-simpleOfdmSendParam::SetIsFirstBlock(bool isFirstBlock)
+SimpleOfdmSendParam::SetIsFirstBlock(bool isFirstBlock)
 {
     m_isFirstBlock = isFirstBlock;
 }
 
 void
-simpleOfdmSendParam::SetFrequency(uint64_t Frequency)
+SimpleOfdmSendParam::SetFrequency(uint64_t Frequency)
 {
     m_frequency = Frequency;
 }
 
 void
-simpleOfdmSendParam::SetModulationType(WimaxPhy::ModulationType modulationType)
+SimpleOfdmSendParam::SetModulationType(WimaxPhy::ModulationType modulationType)
 {
     m_modulationType = modulationType;
 }
 
 void
-simpleOfdmSendParam::SetDirection(uint8_t direction)
+SimpleOfdmSendParam::SetDirection(uint8_t direction)
 {
     m_direction = direction;
 }
 
 void
-simpleOfdmSendParam::SetRxPowerDbm(double rxPowerDbm)
+SimpleOfdmSendParam::SetRxPowerDbm(double rxPowerDbm)
 {
     m_rxPowerDbm = rxPowerDbm;
 }
 
-bvec
-simpleOfdmSendParam::GetFecBlock()
+Bvec
+SimpleOfdmSendParam::GetFecBlock()
 {
     return m_fecBlock;
 }
 
 uint32_t
-simpleOfdmSendParam::GetBurstSize()
+SimpleOfdmSendParam::GetBurstSize() const
 {
     return m_burstSize;
 }
 
 bool
-simpleOfdmSendParam::GetIsFirstBlock()
+SimpleOfdmSendParam::GetIsFirstBlock() const
 {
     return m_isFirstBlock;
 }
 
 uint64_t
-simpleOfdmSendParam::GetFrequency()
+SimpleOfdmSendParam::GetFrequency() const
 {
     return m_frequency;
 }
 
 WimaxPhy::ModulationType
-simpleOfdmSendParam::GetModulationType()
+SimpleOfdmSendParam::GetModulationType()
 {
     return m_modulationType;
 }
 
 uint8_t
-simpleOfdmSendParam::GetDirection()
+SimpleOfdmSendParam::GetDirection() const
 {
     return m_direction;
 }
 
 double
-simpleOfdmSendParam::GetRxPowerDbm()
+SimpleOfdmSendParam::GetRxPowerDbm() const
 {
     return m_rxPowerDbm;
 }
 
 Ptr<PacketBurst>
-simpleOfdmSendParam::GetBurst()
+SimpleOfdmSendParam::GetBurst()
 {
     return m_burst;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/simple-ofdm-send-param.h ns-3.38/src/wimax/model/simple-ofdm-send-param.h
--- ns-3.37/src/wimax/model/simple-ofdm-send-param.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/simple-ofdm-send-param.h	2023-03-16 20:54:23.880869400 -0700
@@ -34,12 +34,12 @@
 
 /**
  * \ingroup wimax
- * simpleOfdmSendParam class
+ * SimpleOfdmSendParam class
  */
-class simpleOfdmSendParam
+class SimpleOfdmSendParam
 {
   public:
-    simpleOfdmSendParam();
+    SimpleOfdmSendParam();
     /**
      * Constructor
      *
@@ -51,7 +51,7 @@
      * \param direction the direction
      * \param rxPowerDbm receive power
      */
-    simpleOfdmSendParam(const bvec& fecBlock,
+    SimpleOfdmSendParam(const Bvec& fecBlock,
                         uint32_t burstSize,
                         bool isFirstBlock,
                         uint64_t Frequency,
@@ -69,19 +69,19 @@
      * \param rxPowerDbm receive power
      * \param burst packet burst object
      */
-    simpleOfdmSendParam(uint32_t burstSize,
+    SimpleOfdmSendParam(uint32_t burstSize,
                         bool isFirstBlock,
                         uint64_t Frequency,
                         WimaxPhy::ModulationType modulationType,
                         uint8_t direction,
                         double rxPowerDbm,
                         Ptr<PacketBurst> burst);
-    ~simpleOfdmSendParam();
+    ~SimpleOfdmSendParam();
     /**
      * \brief sent the fec block to send
      * \param fecBlock the fec block to send
      */
-    void SetFecBlock(const bvec& fecBlock);
+    void SetFecBlock(const Bvec& fecBlock);
     /**
      * \brief set the burst size
      * \param burstSize the burst size in bytes
@@ -111,19 +111,19 @@
     /**
      * \return the fec block
      */
-    bvec GetFecBlock();
+    Bvec GetFecBlock();
     /**
      * \return the burst size
      */
-    uint32_t GetBurstSize();
+    uint32_t GetBurstSize() const;
     /**
      * \return true if this fec block is the first one in the burst, false otherwise
      */
-    bool GetIsFirstBlock();
+    bool GetIsFirstBlock() const;
     /**
      * \return the frequency on which the fec block is sent/received
      */
-    uint64_t GetFrequency();
+    uint64_t GetFrequency() const;
     /**
      * \return the modulation type used to send this fec block
      */
@@ -131,18 +131,18 @@
     /**
      * \return the direction on which this fec block was sent. UP or DOWN
      */
-    uint8_t GetDirection();
+    uint8_t GetDirection() const;
     /**
      * \return the Received power
      */
-    double GetRxPowerDbm();
+    double GetRxPowerDbm() const;
     /**
      * \return the received burst
      */
     Ptr<PacketBurst> GetBurst();
 
   private:
-    bvec m_fecBlock;                           ///< FEC block
+    Bvec m_fecBlock;                           ///< FEC block
     uint32_t m_burstSize;                      ///< burst size
     bool m_isFirstBlock;                       ///< is first block
     uint64_t m_frequency;                      ///< frequency
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/simple-ofdm-wimax-channel.cc ns-3.38/src/wimax/model/simple-ofdm-wimax-channel.cc
--- ns-3.37/src/wimax/model/simple-ofdm-wimax-channel.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/simple-ofdm-wimax-channel.cc	2023-03-16 20:54:23.880869400 -0700
@@ -159,7 +159,7 @@
     Ptr<MobilityModel> senderMobility = nullptr;
     Ptr<MobilityModel> receiverMobility = nullptr;
     senderMobility = phy->GetDevice()->GetNode()->GetObject<MobilityModel>();
-    simpleOfdmSendParam* param;
+    SimpleOfdmSendParam* param;
     for (std::list<Ptr<SimpleOfdmWimaxPhy>>::iterator iter = m_phyList.begin();
          iter != m_phyList.end();
          ++iter)
@@ -176,7 +176,7 @@
                 rxPowerDbm = m_loss->CalcRxPower(txPowerDbm, senderMobility, receiverMobility);
             }
 
-            param = new simpleOfdmSendParam(burstSize,
+            param = new SimpleOfdmSendParam(burstSize,
                                             isFirstBlock,
                                             frequency,
                                             modulationType,
@@ -204,7 +204,7 @@
 }
 
 void
-SimpleOfdmWimaxChannel::EndSendDummyBlock(Ptr<SimpleOfdmWimaxPhy> rxphy, simpleOfdmSendParam* param)
+SimpleOfdmWimaxChannel::EndSendDummyBlock(Ptr<SimpleOfdmWimaxPhy> rxphy, SimpleOfdmSendParam* param)
 {
     rxphy->StartReceive(param->GetBurstSize(),
                         param->GetIsFirstBlock(),
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/simple-ofdm-wimax-channel.h ns-3.38/src/wimax/model/simple-ofdm-wimax-channel.h
--- ns-3.37/src/wimax/model/simple-ofdm-wimax-channel.h	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/simple-ofdm-wimax-channel.h	2023-03-16 20:54:23.880869400 -0700
@@ -109,7 +109,7 @@
 
   private:
     /**
-     * Attach functiion
+     * Attach function
      * \param phy the phy layer
      */
     void DoAttach(Ptr<WimaxPhy> phy) override;
@@ -122,9 +122,9 @@
     /**
      * End send dummy block function
      * \param rxphy the Ptr<SimpleOfdmWimaxPhy>
-     * \param param the simpleOfdmSendParam *
+     * \param param the SimpleOfdmSendParam *
      */
-    void EndSendDummyBlock(Ptr<SimpleOfdmWimaxPhy> rxphy, simpleOfdmSendParam* param);
+    void EndSendDummyBlock(Ptr<SimpleOfdmWimaxPhy> rxphy, SimpleOfdmSendParam* param);
     /**
      * Get device function
      * \param i the device index
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.37/src/wimax/model/simple-ofdm-wimax-phy.cc ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.cc
--- ns-3.37/src/wimax/model/simple-ofdm-wimax-phy.cc	2022-11-01 17:37:24.767396000 -0700
+++ ns-3.38/src/wimax/model/simple-ofdm-wimax-phy.cc	2023-03-16 20:54:23.880869400 -0700
@@ -171,10 +171,10 @@
     m_rxGain = 0;
     m_txGain = 0;
     m_nfft = 256;
-    m_g = (double)1 / 4;
+    m_g = 1.0 / 4;
     SetNrCarriers(192);
-    m_fecBlocks = new std::list<bvec>;
-    m_receivedFecBlocks = new std::list<bvec>;
+    m_fecBlocks = new std::list<Bvec>;
+    m_receivedFecBlocks = new std::list<Bvec>;
     m_currentBurstSize = 0;
     m_noiseFigure = 5;      // dB
     m_txPower = 30;         // dBm
@@ -379,7 +379,7 @@
                                  double rxPower,
                                  Ptr<PacketBurst> burst)
 {
-    uint8_t drop = 0;
+    bool drop = false;
     double Nwb = -114 + m_noiseFigure + 10 * std::log(GetBandwidth() / 1000000000.0) / 2.303;
     double SNR = rxPower - Nwb;
 
@@ -394,26 +394,26 @@
 
     if (rand < blockErrorRate)
     {
-        drop = 1;
+        drop = true;
     }
     if (rand > blockErrorRate)
     {
-        drop = 0;
+        drop = false;
     }
 
     if (blockErrorRate == 1.0)
     {
-        drop = 1;
+        drop = true;
     }
     if (blockErrorRate == 0.0)
     {
-        drop = 0;
+        drop = false;
     }
     delete record;
 
     NS_LOG_INFO("PHY: Receive rxPower=" << rxPower << ", Nwb=" << Nwb << ", SNR=" << SNR
                                         << ", Modulation=" << modulationType << ", BlocErrorRate="
-                                        << blockErrorRate << ", drop=" << (int)drop);
+                                        << blockErrorRate << ", drop=" << std::boolalpha << drop);
 
     switch (GetState())
     {
@@ -465,7 +465,7 @@
 SimpleOfdmWimaxPhy::EndReceiveFecBlock(uint32_t burstSize,
                                        WimaxPhy::ModulationType modulationType,
                                        uint8_t direction,
-                                       uint8_t drop,
+                                       bool drop,
                                        Ptr<PacketBurst> burst)
 {
     SetState(PHY_STATE_IDLE);
@@ -500,10 +500,10 @@
     m_traceRx(burst);
 }
 
-bvec
+Bvec
 SimpleOfdmWimaxPhy::ConvertBurstToBits(Ptr<const PacketBurst> burst)
 {
-    bvec buffer(burst->GetSize() * 8, 0);
+    Bvec buffer(burst->GetSize() * 8, 0);
 
     std::list<Ptr<Packet>> packets = burst->GetPackets();
 
@@ -514,7 +514,7 @@
         uint8_t* pstart = (uint8_t*)std::malloc(packet->GetSize());
         std::memset(pstart, 0, packet->GetSize());
         packet->CopyData(pstart, packet->GetSize());
-        bvec temp(8);
+        Bvec temp(8);
         temp.resize(0, 0);
         temp.resize(8, 0);
         for (uint32_t i = 0; i < packet->GetSize(); i++)
@@ -533,21 +533,21 @@
 }
 
 /*
- Converts back the bit buffer (bvec) to the actual burst.
- Actually creates byte buffer from the bvec and resets the buffer
- of each packet in the copy of the orifinal burst stored before transmitting.
+ Converts back the bit buffer (Bvec) to the actual burst.
+ Actually creates byte buffer from the Bvec and resets the buffer
+ of each packet in the copy of the original burst stored before transmitting.
  By doing this it preserves the metadata and tags in the packet.
  Function could also be named DeserializeBurst because actually it
  copying to the burst's byte buffer.
  */
 Ptr<PacketBurst>
-SimpleOfdmWimaxPhy::ConvertBitsToBurst(bvec buffer)
+SimpleOfdmWimaxPhy::ConvertBitsToBurst(Bvec buffer)
 {
     uint8_t init[buffer.size() / 8];
     uint8_t* pstart = init;
     uint8_t temp;
     int32_t j = 0;
-    // recreating byte buffer from bit buffer (bvec)
+    // recreating byte buffer from bit buffer (Bvec)
     for (uint32_t i = 0; i < buffer.size(); i += 8)
     {
         temp = 0;
@@ -592,34 +592,34 @@
 }
 
 void
-SimpleOfdmWimaxPhy::CreateFecBlocks(const bvec& buffer, WimaxPhy::ModulationType modulationType)
+SimpleOfdmWimaxPhy::CreateFecBlocks(const Bvec& buffer, WimaxPhy::ModulationType modulationType)
 {
-    bvec fecBlock(m_blockSize);
+    Bvec fecBlock(m_blockSize);
     for (uint32_t i = 0, j = m_nrBlocks; j > 0; i += m_blockSize, j--)
     {
         if (j == 1 && m_paddingBits > 0) // last block can be smaller than block size
         {
-            fecBlock = bvec(buffer.begin() + i, buffer.end());
+            fecBlock = Bvec(buffer.begin() + i, buffer.end());
             fecBlock.resize(m_blockSize, 0);
         }
         else
         {
-            fecBlock = bvec(buffer.begin() + i, buffer.begin() + i + m_blockSize);
+            fecBlock = Bvec(buffer.begin() + i, buffer.begin() + i + m_blockSize);
         }
 
         m_fecBlocks->push_back(fecBlock);
     }
 }
 
-bvec
+Bvec
 SimpleOfdmWimaxPhy::RecreateBuffer()
 {
-    bvec buffer(m_blockSize * (unsigned long)m_nrBlocks);
-    bvec block(m_blockSize);
+    Bvec buffer(m_blockSize * (unsigned long)m_nrBlocks);
+    Bvec block(m_blockSize);
     uint32_t i = 0;
     for (uint32_t j = 0; j < m_nrBlocks; j++)
     {
-        bvec tmpRecFecBloc = m_receivedFecBlocks->front();
+        Bvec tmpRecFecBloc = m_receivedFecBlocks->front();
         buffer.insert(buffer.begin() + i, tmpRecFecBloc.begin(), tmpRecFecBloc.end());
         m_receivedFecBlocks->pop_front();
         i += m_blockSize;
@@ -648,27 +648,27 @@
     {
     case MODULATION_TYPE_BPSK_12:
         bitsPerSymbol = 1;
-        fecCode = (double)1 / 2;
+        fecCode = 1.0 / 2;
         break;
     case MODULATION_TYPE_QPSK_12:
         bitsPerSymbol = 2;
-        fecCode = (double)1 / 2;
+        fecCode = 1.0 / 2;
         break;
     case MODULATION_TYPE_QPSK_34:
         bitsPerSymbol = 2;
-        fecCode = (double)3 / 4;
+        fecCode = 3.0 / 4;
         break;
     case MODULATION_TYPE_QAM16_12:
         bitsPerSymbol = 4;
-        fecCode = (double)1 / 2;
+        fecCode = 1.0 / 2;
         break;
     case MODULATION_TYPE_QAM16_34:
         bitsPerSymbol = 4;
-        fecCode = (double)3 / 4;
+        fecCode = 3.0 / 4;
         break;
     case MODULATION_TYPE_QAM64_23:
         bitsPerSymbol = 6;
-        fecCode = (double)2 / 3;
+        fecCode = 2.0 / 3;
         break;
     case MODULATION_TYPE_QAM64_34:
         bitsPerSymbol = 6;
@@ -926,7 +926,7 @@
 }
 
 /*
- Retruns number of blocks (FEC blocks) the burst will be split in.
+ Returns number of blocks (FEC blocks) the burst will be split in.
  The size of the block is specific for each modulation type.
  */
 uint16_t
@@ -954,20 +954,20 @@
      frequency is 23040000, symbol (OFDM symbol) duration is 1.388888888888889e-05 seconds, PS
      duration is 1.7361111111111112e-07 seconds. Hence PSs per frame is 57600, symbols per frame is
      720 and PSs per symbol is 80. Note that defining these parameters (symbol and PS duration) as
-     Time may not result in exaclty these values therefore lrint has been used (otherwise should be
+     Time may not result in exactly these values therefore lrint has been used (otherwise should be
      defined as double). For licensed bands set channel bandwidth according to Table B.26, page
      810.*/
 
     double samplingFrequency = DoGetSamplingFrequency();
-    Time psDuration = Seconds((double)4 / samplingFrequency);
+    Time psDuration = Seconds(4.0 / samplingFrequency);
 
     SetPsDuration(psDuration);
     uint16_t psPerFrame = (uint16_t)(GetFrameDuration().GetSeconds() / psDuration.GetSeconds());
     SetPsPerFrame(psPerFrame);
     double subcarrierSpacing = samplingFrequency / DoGetNfft();
-    double tb = (double)1 / subcarrierSpacing; // Tb (useful symbol time)
-    double tg = DoGetGValue() * tb;            // Tg (cyclic prefix time)
-    Time symbolDuration = Seconds(tb + tg);    // OFDM Symbol Time
+    double tb = 1.0 / subcarrierSpacing;    // Tb (useful symbol time)
+    double tg = DoGetGValue() * tb;         // Tg (cyclic prefix time)
+    Time symbolDuration = Seconds(tb + tg); // OFDM Symbol Time
     SetSymbolDuration(symbolDuration);
     uint16_t psPerSymbol = lrint(symbolDuration.GetSeconds() / psDuration.GetSeconds());
     SetPsPerSymbol(psPerSymbol);
@@ -996,23 +996,23 @@
 
     if (channelBandwidth % 1750000 == 0)
     {
-        return (double)8 / 7;
+        return 8.0 / 7;
     }
     else if (channelBandwidth % 1500000 == 0)
     {
-        return (double)86 / 75;
+        return 86.0 / 75;
     }
     else if (channelBandwidth % 1250000 == 0)
     {
-        return (double)144 / 125;
+        return 144.0 / 125;
     }
     else if (channelBandwidth % 2750000 == 0)
     {
-        return (double)316 / 275;
+        return 316.0 / 275;
     }
     else if (channelBandwidth % 2000000 == 0)
     {
-        return (double)57 / 50;
+        return 57.0 / 50;
     }
     else
     {
@@ -1020,7 +1020,7 @@
         NS_FATAL_ERROR("wrong channel bandwidth for OFDM PHY");
     }
 
-    return (double)8 / 7;
+    return 8.0 / 7;
 }
 
 double
